body {
    font-family: 'Ubuntu', sans-serif;
    background-color: white;
    text-align: center;
    padding: 0;
    margin: 0;
}

/* Light theme */
body {
    background-color: white;
    color: black;
}

/* Light theme filter */
img {
    filter: invert(0%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(1) contrast(1);
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 16px;
}

.container .page-title, .page-subtitle, .collection-cell {
    max-width: 480px;
    width: 100%;
}

.page-vertical-space-xsmall {
    height: 3px;
    max-width: 480px;
    width: 100%;
}

.page-vertical-space {
    height: 8px;
    max-width: 480px;
    width: 100%;
}

.page-vertical-space-large {
    height: 16px;
    max-width: 480px;
    width: 100%;
}

.page-vertical-space-xlarge {
    height: 32px;
    max-width: 480px;
    width: 100%;
}

.page-image {
    max-width: 100px;
}

.page-title {
    font-size: 1.5rem;
    margin: 0;
}

.page-subtitle {
    font-size: 1.3rem;
    color: #888888;
    margin: 0;
}

.collection-cell {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 16px;
    border: 1px solid #ccc;
    border-radius: 16px;
    background-color: #f5f5f5;
    cursor: pointer;
    transition: box-shadow 0.3s ease;
    text-align: left;
}

.collection-cell-accessory-image {
    margin-left: auto;
    max-height: 20px;
    max-width: 20px;
    filter: invert(50%);
}

.collection-cell-content-image {
    max-height: 40px;
    max-width: 40px;
}

.collection-cell-content-text {
    display: flex;
    flex-direction: column;
    margin: 0 16px 0 16px;
}

.collection-cell-content-title {
    font-size: 1rem;
    margin: 0;
}

.collection-cell-content-subtitle {
    margin: 0;
    color: #888888;
    font-size: 1rem;
}

/* Dark theme */
@media (prefers-color-scheme: dark) {
    body {
        background-color: black;
        color: white;
    }
    .collection-cell {
        background-color: #121212;
        border-color: #333;
    }
    img {
        filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(180deg) brightness(1) contrast(1);
    }
}

@media (max-width: 480px) {
    .container .page-title, .page-subtitle, .collection-cell {
        max-width: 100%;
    }
    .page-vertical-space-xsmall {
        height: 0;
        max-width: 100%;
    }
    .page-vertical-space {
        max-width: 100%;
    }
    .page-vertical-space-large {
        max-width: 100%;
    }
    .page-vertical-space-xlarge {
        max-width: 100%;
    }
    .page-image {
        max-width: 88px;
    }
    .page-title {
        font-size: 1.1rem;
    }
    .page-subtitle {
        font-size: 1rem;
    }
    .collection-cell {
        background-color: inherit;
        border-radius: 0;
        border: 0;
    }
    .collection-cell-content-image {
        max-height: 32px;
        max-width: 32px;
    }
    .collection-cell-accessory-image {
        max-height: 16px;
        max-width: 16px;
    }
}